QT       += core gui widgets multimedia

CONFIG += c++17
CONFIG += lrelease
CONFIG += embed_translations

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

# ----------------------------------------------------
# Sources
# ----------------------------------------------------

SOURCES += \
    src/main.cpp \
    src/windows/albumSelector/albumSelector.cpp \
    src/windows/nowPlaying/nowPlaying.cpp \
    src/layout/flowLayout/flowLayout.cpp \
    src/components/albumSelector/albumTile/albumtile.cpp \
    src/components/nowPlaying/spinningAlbumArt/spinningalbumart.cpp \
    src/components/nowPlaying/timePlayedWidget/timePlayedWidget.cpp \
    src/components/nowPlaying/tracklistWidget/tracklistwidget.cpp

# ----------------------------------------------------
# Headers
# ----------------------------------------------------

HEADERS += \
    src/windows/albumSelector/albumSelector.h \
    src/windows/nowPlaying/nowPlaying.h \
    src/layout/flowLayout/flowLayout.h \
    src/data/cleanerScripts.h \
    src/data/albumInformation.h \
    src/components/albumSelector/albumTile/albumtile.h \
    src/components/nowPlaying/spinningAlbumArt/spinningalbumart.h \
    src/components/nowPlaying/timePlayedWidget/timePlayedWidget.h \
    src/components/nowPlaying/tracklistWidget/tracklistwidget.h

# ----------------------------------------------------
# UI Forms
# ----------------------------------------------------

FORMS += \
    src/windows/albumSelector/albumSelector.ui

# ----------------------------------------------------
# Deployment
# ----------------------------------------------------

qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

# ----------------------------------------------------
# Files NOT to distribute
# ----------------------------------------------------

DISTFILES += \
    # Keep Qt Creator's local config OUT of the repo
    # (Only include this if you want to *explicitly* ship it)
    # Music-Player.pro.user
